Bug 31402 - Update tools sidebar to match tools start page
Summary: Update tools sidebar to match tools start page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 31625
Blocks: 31162 31411
  Show dependency treegraph
 
Reported: 2022-08-18 21:38 UTC by Katrin Fischer
Modified: 2022-12-05 16:13 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 31402: Update tools sidebar to match tools start page (5.07 KB, patch)
2022-09-26 16:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 31402: Update tools sidebar to match tools start page (5.17 KB, patch)
2022-10-01 20:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-08-18 21:38:16 UTC
There are some discrepancies:

* Tags vs. Tag moderation
* Barcode image generator and Quick spine label creator are switched
* Upload any file vs. Upload (maybe use Uploads on both?)
* With no installed tool plugin, the entry shows in sidebar, but not on the tools start page (conditions should match)
* Cash management section is missing completely
Comment 1 Owen Leonard 2022-09-26 16:06:36 UTC
Created attachment 140995 [details] [review]
Bug 31402: Update tools sidebar to match tools start page

This patch updates the tools sidebar so that it better matches the tools
home page:

- Sidebar menu should say Tags instead of Tag moderation
- Barcode image generator and Quick spine label creator links
  reversed.
- Upload any file -> Uploads
- Cash management section is added to sidebar using brief text

This patch does not make changes to the way plugins are displayed in the
sidebar. In order for the sidebar to correctly display according to the
presence of tool plugins I think some kind of global variable would need
to be set.
Comment 2 Anke Bruns 2022-09-26 18:04:31 UTC
I can confirm that the patch works in the sandbox except for one thing:

"- Cash management section is added to sidebar using brief text"

But then, I cannot see anything relating to a cash management section on the Tools home either - maybe there is a system preference that has to be set in order to see this?

All the other points

- Sidebar menu should say Tags instead of Tag moderation
- Barcode image generator and Quick spine label creator links
  reversed.
- Upload any file -> Uploads

are there as expected.
Comment 3 Katrin Fischer 2022-09-26 19:20:32 UTC
You probably need to set UseCashRegisters :)
Comment 4 Anke Bruns 2022-09-27 13:14:51 UTC
Thanks, Katrin.

I now tried with UseCashRegisters activated, and there is indeed the Cash management section both in the Tools home and in the sidebar. In Tools home there shouldn't probably be the "for" after "Transaction history" (which makes it "Transaction history for" while in the sidebar it reads "Transaction history").
Comment 5 Katrin Fischer 2022-09-27 13:19:31 UTC
I think the 'for' appears when you haven't selected a cash register in your profile. Could certainly be improved in another bug.
Comment 6 Anke Bruns 2022-09-27 14:24:15 UTC
I thought the names on the Tools home and the sidebar should be identical -?

Anyhow, do you think the bug can be signed off now?
Comment 7 Katrin Fischer 2022-09-27 14:37:53 UTC
I think that was meant by 'brief text'. After the 'for' the library should appear, when a cash register is selected, but we probably should not display the for when the library is not set and the sentence will be incomplete.
Leaving the 'for ...' off in the toolbar to make it a little shorter might be ok.
Comment 8 Anke Bruns 2022-09-27 14:45:33 UTC
OK, well, this feature isn't exactly relevant for us, so I don't really care all that much. The patch does what it should in the sandbox, as I described, so it should be OK. Please sign off if you think fit - Thanks :-)
Comment 9 Katrin Fischer 2022-09-27 14:55:42 UTC
Hi Anke, hope that didn't come across wrong - I had stumbled on the lonely 'for' before as well. Do you not want to sign-off yourself?
Comment 10 Anke Bruns 2022-09-27 14:59:21 UTC
Yes, I can do it, just wasn't too sure if this would be OK. Thanks for your help :-).
Comment 11 Katrin Fischer 2022-10-01 20:08:35 UTC
Created attachment 141187 [details] [review]
Bug 31402: Update tools sidebar to match tools start page

This patch updates the tools sidebar so that it better matches the tools
home page:

- Sidebar menu should say Tags instead of Tag moderation
- Barcode image generator and Quick spine label creator links
  reversed.
- Upload any file -> Uploads
- Cash management section is added to sidebar using brief text

This patch does not make changes to the way plugins are displayed in the
sidebar. In order for the sidebar to correctly display according to the
presence of tool plugins I think some kind of global variable would need
to be set.

Signed-off-by: Anke Bruns <anke.bruns@gwdg.de>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Tomás Cohen Arazi 2022-10-03 15:42:12 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!